<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- installpackage.qdoc -->
  <title>InstallPackage QML Type | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="qml-qbsconvenienceitems-innosetup.html" />
  <link rel="next" href="qml-qbsconvenienceitems-javaclasscollection.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-innosetup.html">InnoSetup</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-javaclasscollection.html">JavaClassCollection</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#details">Detailed Description</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">InstallPackage QML Type</h1>
<span class="subtitle"></span>
<!-- $$$InstallPackage-brief -->
<p>Archive of an installed project. <a href="#details">More...</a></p>
<!-- @@@InstallPackage -->
<div class="table"><table class="alignedsummary">
<tr><td class="memItemLeft rightAlign topAlign"> Import Statement:</td><td class="memItemRight bottomAlign"> import QbsConvenienceItems .</td></tr><tr><td class="memItemLeft rightAlign topAlign"> Inherits:</td><td class="memItemRight bottomAlign"> <p><a href="qml-qbslanguageitems-product.html">Product</a></p>
</td></tr></table></div><ul>
<li><a href="qml-qbsconvenienceitems-installpackage-members.html">List of all members, including inherited members</a></li>
</ul>
<!-- $$$InstallPackage-description -->
<a name="details"></a>
<h2 id="details">Detailed Description</h2>
<p>An InstallPackage item is a <a href="qml-qbslanguageitems-product.html">product</a> of the <a href="qml-qbslanguageitems-product.html#type-prop">type</a> <code>archiver.archive</code> that has a <a href="qml-qbslanguageitems-depends.html">dependency</a> on the <a href="qml-qbsmodules-archiver.html">archiver</a> module. It is used to produce an archive from a set of installable files.</p>
<p>Consider the following example project:</p>
<pre class="cpp">

  Project {
      CppApplication {
          name: <span class="string">&quot;myapp&quot;</span>
          Depends { name: <span class="string">&quot;mylib&quot;</span> }
          files: <span class="operator">[</span><span class="string">&quot;main.cpp&quot;</span><span class="operator">]</span>
          Group {
              fileTagsFilter: product<span class="operator">.</span>type
              qbs<span class="operator">.</span>install: <span class="keyword">true</span>
              qbs<span class="operator">.</span>installDir: <span class="string">&quot;bin&quot;</span>
          }
      }
      DynamicLibrary {
          name: <span class="string">&quot;mylib&quot;</span>
          files: <span class="operator">[</span><span class="string">&quot;mylib.cpp&quot;</span><span class="operator">]</span>
          Group {
              name: <span class="string">&quot;public headers&quot;</span>
              files: <span class="operator">[</span><span class="string">&quot;mylib.h&quot;</span><span class="operator">]</span>
              qbs<span class="operator">.</span>install: <span class="keyword">true</span>
              qbs<span class="operator">.</span>installDir: <span class="string">&quot;include&quot;</span>
          }
          Group {
              fileTagsFilter: product<span class="operator">.</span>type
              qbs<span class="operator">.</span>install: <span class="keyword">true</span>
              qbs<span class="operator">.</span>installDir: <span class="string">&quot;lib&quot;</span>
          }
      }

      InstallPackage {
          archiver<span class="operator">.</span>type: <span class="string">&quot;tar&quot;</span>
          name: <span class="string">&quot;tar-package&quot;</span>
          Depends { name: <span class="string">&quot;myapp&quot;</span> }
          Depends { name: <span class="string">&quot;mylib&quot;</span> }
      }
  }

</pre>
<p>Building the product <code>&quot;tar-package&quot;</code> on a Unix system will result in a tar file with these contents:</p>
<pre class="cpp">

  <span class="keyword">include</span><span class="operator">/</span>mylib<span class="operator">.</span>h
  lib<span class="operator">/</span>libmylib<span class="operator">.</span>so
  bin<span class="operator">/</span>myapp

</pre>
<!-- @@@InstallPackage -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="qml-qbsconvenienceitems-innosetup.html">InnoSetup</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="qml-qbsconvenienceitems-javaclasscollection.html">JavaClassCollection</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
